# Install script for directory: /builds/gitlab/hpc/gekkofs/tests/integration

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/builds/gitlab/hpc/gekkofs/gkfs/install")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Coverage")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

# Set default install directory permissions.
if(NOT DEFINED CMAKE_OBJDUMP)
  set(CMAKE_OBJDUMP "/usr/bin/objdump")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE FILE RENAME "pytest.ini" FILES "/builds/gitlab/hpc/gekkofs/gkfs/build/tests/integration/pytest.install.ini")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE FILE FILES "/builds/gitlab/hpc/gekkofs/tests/integration/conftest.py")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  message("Install pytest virtual environment...")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  message("-- Create virtual environment: /builds/gitlab/hpc/gekkofs/gkfs/install/share/gkfs/tests/integration/pytest-venv")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  execute_process(
                    COMMAND /usr/bin/python3.9 -m venv /builds/gitlab/hpc/gekkofs/gkfs/install/share/gkfs/tests/integration/pytest-venv
                    RESULT_VARIABLE STATUS
                    OUTPUT_VARIABLE CMD_OUT
                    ERROR_VARIABLE CMD_ERR
                    OUTPUT_FILE install_stdout.log
                    ERROR_FILE install_stderr.log)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  if(STATUS AND NOT STATUS EQUAL 0)
                    message(FATAL_ERROR "Creation of pytest virtual environment failed. Check 'cmake_install_stdout.log' and 'cmake_install_stderr.log' for details")
                  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  message("-- Installing packages...")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  execute_process(
                    COMMAND /builds/gitlab/hpc/gekkofs/gkfs/install/share/gkfs/tests/integration/pytest-venv/bin/pip install --upgrade pip -v
                    RESULT_VARIABLE STATUS
                    OUTPUT_VARIABLE CMD_OUT
                    ERROR_VARIABLE CMD_ERR
                    OUTPUT_FILE install_stdout.log
                    ERROR_FILE install_stderr.log)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  if(STATUS AND NOT STATUS EQUAL 0)
                    message(FATAL_ERROR "Installation of pytest dependencies failed. Check 'cmake_install_stdout.log' and 'cmake_install_stderr.log' for details")
                  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  execute_process(
                    COMMAND /builds/gitlab/hpc/gekkofs/gkfs/install/share/gkfs/tests/integration/pytest-venv/bin/pip install -r /builds/gitlab/hpc/gekkofs/gkfs/build/tests/integration/requirements.txt --upgrade -v
                    RESULT_VARIABLE STATUS
                    OUTPUT_VARIABLE CMD_OUT
                    ERROR_VARIABLE CMD_ERR
                    OUTPUT_FILE install_stdout.log
                    ERROR_FILE install_stderr.log)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  if(STATUS AND NOT STATUS EQUAL 0)
                    message(FATAL_ERROR "Installation of pytest dependencies failed. Check 'cmake_install_stdout.log' and 'cmake_install_stderr.log' for details")
                  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/harness" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE REGEX "/gkfs\\.io$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/directories" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/status" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/operations" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/position" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/data" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/syscalls" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/shell" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Unspecified" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/gkfs/tests/integration" TYPE DIRECTORY FILES "/builds/gitlab/hpc/gekkofs/tests/integration/rename" FILES_MATCHING REGEX ".*\\.py" REGEX "/\\_\\_pycache\\_\\_$" EXCLUDE REGEX "/\\.pytest\\_cache$" EXCLUDE)
endif()

if(NOT CMAKE_INSTALL_LOCAL_ONLY)
  # Include the install script for each subdirectory.
  include("/builds/gitlab/hpc/gekkofs/gkfs/build/tests/integration/harness/cmake_install.cmake")

endif()

